tint2 (17.0.1-1.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:09:19 +0000

tint2 (17.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Mateusz Łukasik ]
  * Add patch for fix crash with glib 2.76 (Closes: #1054261) (LP: #2015052)

 -- Bastian Germann <bage@debian.org>  Fri, 03 Nov 2023 13:40:45 +0100

tint2 (17.0.1-1) unstable; urgency=medium

  * New upstream release
  * tint2conf now uses GTK3 instead of GTK2 (Closes: #967778)
  * Update Debian Standards Version to 4.6.0
  * Switch to debhelper compat level 13
  * Add Rules-Requires-Root: no
  * Update debian/watch version

 -- Sebastian Reichel <sre@debian.org>  Tue, 24 Aug 2021 00:31:24 +0200

tint2 (16.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Sebastian Reichel ]
  * New upstream release
  * Bump Debian compat version to 12
  * Update Debian Standards Version to 4.4.0

 -- Sebastian Reichel <sre@debian.org>  Sun, 15 Sep 2019 01:16:43 +0200

tint2 (16.6.1-1) unstable; urgency=medium

  * Update watch file
  * Update Debian Standards Version to 4.1.5
  * Bump Debian compat version to 11

 -- Sebastian Reichel <sre@debian.org>  Thu, 09 Aug 2018 00:14:16 +0200

tint2 (16.2-1) unstable; urgency=medium

  * New upstream release
  * Switch packaging to salsa
  * Update Debian Standards Version to 4.1.3

 -- Sebastian Reichel <sre@debian.org>  Mon, 12 Feb 2018 20:47:00 +0100

tint2 (15.3-2) unstable; urgency=medium

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Nov 2017 17:13:55 +0100

tint2 (15.1-1) unstable; urgency=medium

  * New upstream bugfix
   - Previous patch dropped (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Fri, 08 Sep 2017 22:34:31 +0200

tint2 (15.0-2) unstable; urgency=medium

  * Add patch to be compliant with POSIX.1-2001 and POSIX.1-2008 to
    fix FTBFS on non x86 platforms.

 -- Sebastian Reichel <sre@debian.org>  Thu, 07 Sep 2017 02:37:53 +0200

tint2 (15.0-1) unstable; urgency=medium

  * New upstream release
  * Updated watch file for gitlab changes
  * Update Debian Standards Version to 4.1.0
  * Enable full hardening

 -- Sebastian Reichel <sre@debian.org>  Sun, 03 Sep 2017 03:25:33 +0200

tint2 (0.14.3-1) experimental; urgency=medium

  * New upstream release (Closes: #861007)
   - Drop wiki Documentation
   - Drop patches (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Sun, 23 Apr 2017 21:46:51 +0200

tint2 (0.12.12-3) unstable; urgency=medium

  * Cherry pick upstream fix for use-after-free

 -- Sebastian Reichel <sre@debian.org>  Sun, 29 Jan 2017 21:18:20 +0100

tint2 (0.12.12-2) unstable; urgency=medium

  * Cherry pick a few upstream fixes (Closes: #849228)

 -- Sebastian Reichel <sre@debian.org>  Fri, 13 Jan 2017 22:01:29 +0100

tint2 (0.12.12-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Sun, 21 Aug 2016 22:39:16 +0200

tint2 (0.12.11-1) unstable; urgency=low

  * New upstream release (Closes: #824568)
  * Update Debian Standards Version to 3.9.8

 -- Sebastian Reichel <sre@debian.org>  Wed, 01 Jun 2016 00:48:54 +0200

tint2 (0.12.7-2) unstable; urgency=medium

  * Add upstream patch to fix build on ppc
  * Use https:// vcs urls

 -- Sebastian Reichel <sre@debian.org>  Mon, 22 Feb 2016 03:23:51 +0100

tint2 (0.12.7-1) unstable; urgency=medium

  * New upstream release
  * Update Debian Standards Version to 3.9.7
  * Drop -dbg package (Debian will build -dbgsym package automatically)

 -- Sebastian Reichel <sre@debian.org>  Wed, 10 Feb 2016 00:42:23 +0100

tint2 (0.12.3-1) unstable; urgency=low

  * New upstream release
  * Fix privacy-breach-generic in documentation

 -- Sebastian Reichel <sre@debian.org>  Thu, 26 Nov 2015 22:49:26 +0100

tint2 (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches (applied upstream)

 -- Sebastian Reichel <sre@debian.org>  Fri, 11 Sep 2015 18:41:22 +0200

tint2 (0.12.1-2) unstable; urgency=medium

  * Import upstream patch fixing bug with blinking systray icon

 -- Sebastian Reichel <sre@debian.org>  Tue, 04 Aug 2015 01:16:08 +0200

tint2 (0.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Mon, 03 Aug 2015 17:03:13 +0200

tint2 (0.12-1) unstable; urgency=medium

  * New upstream release (Closes: #793797)
   - Drop 04-freespace.patch (applied upstream)
   - Drop 05-task-align.patch (needs rework)

 -- Sebastian Reichel <sre@debian.org>  Wed, 29 Jul 2015 18:53:03 +0200

tint2 (0.11+svn20121014-3) unstable; urgency=low

  * Add some patches from upstream's bug tracker. Those are already
    used by the Debian based VSIDO distribution for some time.
   - 03-launcher_apps_dir.patch
     Add support for loading multiple launcher icons by specifing
     the directory for their *.desktop files.
   - 04-freespace.patch
     Add support for a separator panel element.
   - 05-task-align.patch, 06-sample-task-align.patch
     Add support for task alignment.

 -- Sebastian Reichel <sre@debian.org>  Thu, 05 Jun 2014 17:39:43 +0200

tint2 (0.11+svn20121014-2) unstable; urgency=low

  * Reintroduce tint2conf (Closes: #720200)
  * Add patch fixing argv evaluation (Closes: #716390)
  * Add patch fixing incorrect function declaration (Closes: #748171)
  * Bump Debian Standards Version to 3.9.5

 -- Sebastian Reichel <sre@debian.org>  Sun, 01 Jun 2014 17:13:06 +0200

tint2 (0.11+svn20121014-1) unstable; urgency=low

  * New upstream checkout (Closes: #678918)
   - Fix for no task cycling if all windows are minimized
   - Fix for incorrect task cycling when windows visible on
     all desktops are present
   - Adding startup-notification support
   - Drag and drop support for launchers
   - Localize launcher tooltips
   - Launcher: add icon lookup in ~/.local and /usr/local
   - Disable mouse hover events when the launcher tooltip
     is disabled
  * Do not install tint2conf (Closes: #672840)
  * Add libstartup-notification dependency
  * Bump Debian Standards Version to 3.9.4
  * Bump compat level to 9

 -- Sebastian Reichel <sre@debian.org>  Thu, 25 Oct 2012 13:35:15 +0200

tint2 (0.11+svn20111022-3) unstable; urgency=low

  * Update debian/copyright to conform with Debian copyright format 1.0
  * Update Debian Standards Version to 3.9.3
  * Add dump of tint2's FAQ and Configure wiki page as offline
    documentation (Closes: #658226)

 -- Sebastian Reichel <sre@debian.org>  Wed, 07 Mar 2012 10:09:20 +0100

tint2 (0.11+svn20111022-2) unstable; urgency=low

   * Add inform-about-unsupported-saving.patch (Closes: #646055)

 -- Sebastian Reichel <sre@debian.org>  Sun, 23 Oct 2011 10:57:35 +0200

tint2 (0.11+svn20111022-1) unstable; urgency=low

  * New upstream checkout
   - Fix double free of launcher configuration (Closes: #645208)

 -- Sebastian Reichel <sre@debian.org>  Sat, 22 Oct 2011 08:17:18 +0200

tint2 (0.11+svn20111011-2) unstable; urgency=low

  * build debug symbols

 -- Sebastian Reichel <sre@debian.org>  Fri, 21 Oct 2011 16:30:50 +0200

tint2 (0.11+svn20111011-1) unstable; urgency=low

  * New upstream snapshot
   - misc. fixes
   - added alpha, saturation, brightness control for launcher icons
   - launcher tooltips configurable, default off

 -- Sebastian Reichel <sre@debian.org>  Wed, 19 Oct 2011 19:49:54 +0200

tint2 (0.11+svn20110307-1) unstable; urgency=low

  * New upstream snapshot (Closes: #624792)
  * Remove power_now support patch (applied upstream)
  * Do not install tintwizard (it does not support config of SVN snapshot)
  * Also build a tint2-dbg package

 -- Sebastian Reichel <sre@debian.org>  Sun, 01 May 2011 19:35:32 +0200

tint2 (0.11-2) unstable; urgency=low

  * Recommend python-gtk2 instead of python-gtk

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Dec 2010 05:05:46 +0100

tint2 (0.11-1) unstable; urgency=low

  * Make me the maintainer of this package (Closes: #598688)
  * New Upstream Version (Closes: #591008)
  * drop patch (applied upstream)
  * Update watch file
    + use googlecode.debian.net
    + new files are release as tar.bz2
  * Update Debian Standards Version to 3.9.1
  * Use DEP5 for debian/copyright
  * Added build dependencies: cmake, libgtk2.0-dev
  * Add patch renaming tintwizard.py to tintwizard
  * Add patch adding power_now support
  * Recommend python (needed by tintwizard)

 -- Sebastian Reichel <sre@debian.org>  Fri, 26 Nov 2010 22:01:43 +0100

tint2 (0.9-2) unstable; urgency=low

  * debian/patches/update-systray-clock-every-second.diff: Cherry-pick
    patch from upstream to keep systray clock in sync with system time.
    (Closes: #572227)

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 03 Mar 2010 23:40:02 -0800

tint2 (0.9-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: Upstream uses both _beta and -rc1 for version strings,
    update uversionmangle to handle both.
  * debian/control:
    - Bump to Version 3.8.4, no changes.
    - Add libxdamage-dev and libxcomposite-dev to Build-Depends.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 24 Feb 2010 10:21:01 -0800

tint2 (0.8-1) unstable; urgency=low

  * New Upstream Version
  * debian/examples: Upstream has renamed the sample tint2rc files.
  * debian/source: Switch to dpkg-source 3.0 (quilt) format.
  * debian/copyright: Update with new upstream authors.

 -- Daniel Moerner <dmoerner@gmail.com>  Tue, 12 Jan 2010 11:48:49 -0800

tint2 (0.7.1-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: add uversionmangle line to ignore upstream's beta
    releases.
  * debian/control: Update to Debian Policy 3.8.3, fix description typo.

 -- Daniel Moerner <dmoerner@gmail.com>  Sun, 06 Sep 2009 18:57:06 -0700

tint2 (0.7-1) unstable; urgency=low

  * New Upstream Version. (LP: #319436)
    - Update watch file to point to tint2 instead of tint.
    - Remove debian/tint.1: integrated upstream (Closes: #532307)
    - Remove dpatch and patches/01-remove-strip-from-makefile.dpatch:
      integrated upstream.
    - Refresh debian/examples and remove debian/docs
    - tint2 is now licensed under the GPL-2.
  * Added Vcs-Git and Vcs-Browser fields to debian/control.
  * Updated to Standards Version 3.8.2
  * Switched to tiny dh 7 rules file with overrides.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 01 Jul 2009 02:01:27 -0700

tint2 (0.6.0-1) unstable; urgency=low

  * Initial release (closes: #491596)
  * Wrote manpage from upstream docs
  * 01-remove-strip-from-makefile.dpatch: dh_strip will strip the binary instead

 -- Daniel Moerner <dmoerner@gmail.com>  Sat, 06 Sep 2008 07:54:24 -0700
